uk.gov.hmrc.play.asyncmvc.async.AsyncTask

# AsyncMVCAsyncActor

###
Related Docs: object AsyncMVCAsyncActor | package AsyncTask

#### class AsyncMVCAsyncActor extends Actor

Defines an Actor which is responsible for processing the AsyncMVCAsyncActor.AsyncMessage message.

Linear Supertypes
Actor, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AsyncMVCAsyncActor
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AsyncMVCAsyncActor(sessionCache: Cache[TaskCache], clientTimeout: Long)

   sessionCache

     - The cache used to update the status of the task associated with the message.

   clientTimeout

     - The maximum amount of time a client will wait for the message to be processed.

### Type Members

1. #### type Receive = PartialFunction[Any, Unit]

   Definition Classes
     Actor

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def aroundPostRestart(reason: Throwable): Unit

   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()

5. #### def aroundPostStop(): Unit

   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()

6. #### def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit

   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()

7. #### def aroundPreStart(): Unit

   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()

8. #### def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit

   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### implicit val context: ActorContext

    Definition Classes
      Actor

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def postRestart(reason: Throwable): Unit

    Definition Classes
      Actor
    Annotations
      @throws( classOf[java.lang.Exception] )

22. #### def postStop(): Unit

    Definition Classes
      Actor
    Annotations
      @throws( classOf[java.lang.Exception] )

23. #### def preRestart(reason: Throwable, message: Option[Any]): Unit

    Definition Classes
      Actor
    Annotations
      @throws( classOf[java.lang.Exception] )

24. #### def preStart(): Unit

    Definition Classes
      Actor
    Annotations
      @throws( classOf[java.lang.Exception] )

25. #### def receive: PartialFunction[Any, Unit]

    Definition Classes
      AsyncMVCAsyncActor → Actor

26. #### implicit final val self: ActorRef

    Definition Classes
      Actor

27. #### final def sender(): ActorRef

    Definition Classes
      Actor

28. #### def supervisorStrategy: SupervisorStrategy

    Definition Classes
      Actor

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### def unhandled(message: Any): Unit

    Definition Classes
      Actor

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped